From a20657e50017676f04d11a24cbd046ce768af248 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 20:28:02 -0500
Subject: [PATCH 10/17] avoid shadow vars: tablecmds.c: constraintOid

commit eb7ed3f3063401496e4aa4bd68fa33f0be31a72f
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Mon Feb 19 16:59:37 2018 -0300

    Allow UNIQUE indexes on partitioned tables
---
 src/backend/commands/tablecmds.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 70b94bbb397..1c0cf7c1a06 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -18098,7 +18098,6 @@ AttachPartitionEnsureIndexes(Relation rel, Relation attachrel)
 		if (!found)
 		{
 			IndexStmt  *stmt;
-			Oid			constraintOid;
 
 			stmt = generateClonedIndexStmt(NULL,
 										   idxRel, attmap,
-- 
2.17.1

